| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::GuidedFilter Class Referenceabstract
Extended Image Processing » Filters

Interface for realizations of (Fast) Guided Filter. More...

`#include <opencv2/ximgproc/edge_filter.hpp>`

Collaboration diagram for cv::ximgproc::GuidedFilter:

## Public Member Functions
virtual void | filter (InputArray src, OutputArray dst, int dDepth=-1)=0
| Apply (Fast) Guided Filter to the filtering image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Interface for realizations of (Fast) Guided Filter.

For more details about this filter see [122] [121] .

## Member Function Documentation

## ◆ filter()

virtual void cv::ximgproc::GuidedFilter::filter | ( | InputArray | src,
|  | OutputArray | dst,
|  | int | dDepth = -1 )
| pure virtual

Python:
| cv.ximgproc.GuidedFilter.filter( | src[, dst[, dDepth]] | ) -> | dst

Apply (Fast) Guided Filter to the filtering image.

Parameters

  src | filtering image with any numbers of channels.
  dst | output image.
  dDepth | optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth().

The documentation for this class was generated from the following file:

- opencv2/ximgproc/edge_filter.hpp